ad_page_contract {

    Main view page for resources.

    @author jade@safe4all.org
    @creation-date 2003-08-27
    @cvs-id $Id: index.tcl,v 1.4 2005/03/01 00:01:20 jeffd Exp $

    @return title Page title.
    @return context Context bar.
    @return resources Multirow data set of resources.
    @return task_term Terminology for tasks
    @return task_term_lower Terminology for tasks (lower case)
    @return resource_term Terminology for resources
    @return resource_term_lower Terminology for resources (lower case)

} {
    {category:integer ""}
} -properties {
    count:onevalue
    pending:onevalue
    context_bar:onevalue
    types:multirow
    resources:multirow
    has_category_p:onevalue
    category_name:onevalue
    current_category:onevalue
    categories_url:onevalue
    write_p:onevalue
    create_p:onevalue
    admin_p:onevalue
    url:onevalue
}

# --------------------------------------------------------------- #

# set up context bar
if {[exists_and_not_null category]} {
    set context_bar [ad_context_bar "Index"]

    db_1row get_category_name { }

    set current_category "$type_name: $cat_name"
    set category_name $cat_name

} else {
    set context_bar [list]

    set category_name ""
    set current_category ""
    
}

# the unique identifier for this package
set package_id [ad_conn package_id]
set user_id    [ad_conn user_id]
set url        [ad_conn package_url]

# permissions
permission::require_permission -party_id $user_id -object_id $package_id -privilege read

set write_p  [permission::permission_p -object_id $package_id -privilege write] 
set create_p [permission::permission_p -object_id $package_id -privilege create]
set admin_p  [permission::permission_p -object_id $package_id -privilege admin]

# root CR folder
set root_folder [db_string get_root "select rl_resource__get_root_folder (:package_id, 'f')"]

db_multirow types get_category_types { }

set count [db_string resource_count { }]
set pending [db_string resource_count_pending { }]

if {[exists_and_not_null category]} {
    set where_clause ""
    foreach catg $category {
        append where_clause "m.category_id = $catg and "
    }

    db_multirow resources resource_query_by_category {} {
        set resource_description [ad_text_to_html $resource_description]
    }
    set has_category_p t
} else {
    db_multirow resources resource_query {}
    set has_category_p f
}

ad_return_template

# ------------------------- END OF FILE ------------------------- #
