ad_page_contract {

    View page for a resource.

    @author jade@safe4all.org
    @creation-date 2003-08-27
    @cvs-id $Id: one.tcl,v 1.4 2005/03/01 00:01:20 jeffd Exp $

    @return title Page title.
    @return context Context bar.
    @return resources Multirow data set of resources.
} {

    resource_item_id:integer,multiple

} -properties {
    url:onevalue
    context_bar:onevalue
    res:multirow
    create:multirow
    write_p:onevalue
    create_p:onevalue
    cats:multirow
    comments:onevalue
    comments_link:onevalue
    edit_link:onevalue
}

# --------------------------------------------------------------- #

if {[llength $resource_item_id] > 1} {
    set resource_item_id [lindex $resource_item_id 0]
}

# set up context bar
set context_bar [ad_context_bar "View"]

# the unique identifier for this package
set package_id [ad_conn package_id]
set user_id    [ad_conn user_id]
set url        [ad_conn package_url]


if {![db_0or1row res_query {} -column_array res]} {
    ad_return_forbidden "No such resource" "There is no such resource. If you believe this is erroneous, please contact the system administrator"
    ad_script_abort
}

set edit_link "[set url]add-edit?resource_revision_id=$res(resource_revision_id)"

set res(resource_description) [ad_text_to_html $res(resource_description)]

# permissions needs resource_item_id from res_query
set resource_item_id $res(resource_item_id)

permission::require_permission -party_id $user_id -object_id $package_id -privilege read

set write_p  [permission::permission_p -object_id $resource_item_id -privilege write] 

set create_p [permission::permission_p -object_id $package_id -privilege create]




db_1row oldest_query {}

ns_log Notice "oldest revision: $oldest_revision"

db_1row create_query {} -column_array create

set comments [general_comments_get_comments -print_content_p 1 $res(resource_item_id) "[set url]view/$res(resource_item_id)"]

set comments_link [general_comments_create_link -object_name resource-list -link_text "Comment on this resource" -context_id $package_id $res(resource_item_id) "[set url]view/$resource_item_id"]

db_multirow cats get_categories { }

ad_return_template

# ------------------------- END OF FILE ------------------------- #
