<?xml version="1.0"?>
<queryset>
  <fullquery name="new_resource_item">
    <querytext>
        select rl_resource__new_item (
                null,
                :resource_name,
                :description,
                now(),
                :user_id,
                :peeraddr,
                :package_id
        );
    </querytext>
  </fullquery>

  <fullquery name="new_resource_revision">
    <querytext>
        select rl_resource__new_revision (
                :resource_item_id,
                :resource_name,
                :description,
                now(),
                :user_id,
                :peeraddr,
                :package_id
        );
    </querytext>
  </fullquery>

  <fullquery name="resource_query">
    <querytext>
      select
        item_id as resource_item_id,
        title as resource_name,
        description
        FROM
        rl_resources_revisionsx
       where resource_revision_id = :resource_revision_id
    </querytext>
  </fullquery>

  <fullquery name="get_item_id">
    <querytext>
      select
        item_id as resource_item_id
        FROM
        rl_resources_revisionsx
       where resource_revision_id = :resource_revision_id
    </querytext>
  </fullquery>

  <fullquery name="get_resource_types">
    <querytext>
      select
        category_id as category_type_id,
        short_name as type_short_name
        FROM
        rl_resource_category_type
        ORDER BY
        ordering
    </querytext>
  </fullquery>

  <fullquery name="get_category_items">
    <querytext>
      select
        category_id,
        short_name
        FROM
        rl_resource_category_type
        WHERE
        category_id = :category_type_id
        ORDER BY
        ordering
    </querytext>
  </fullquery>

</queryset>
