ad_page_contract {

    Main view page for resources.

    @author jade@safe4all.org
    @creation-date 2003-08-27
    @cvs-id $Id: types.tcl,v 1.4 2005/03/01 00:01:20 jeffd Exp $

    @return title Page title.
    @return context Context bar.
    @return resources Multirow data set of resources.
    @return task_term Terminology for tasks
    @return task_term_lower Terminology for tasks (lower case)
    @return resource_term Terminology for resources
    @return resource_term_lower Terminology for resources (lower case)

} -properties {

    context_bar:onevalue
    types:multirow
    category:multirow
    write_p:onevalue
    create_p:onevalue
    admin_p:onevalue
}

# --------------------------------------------------------------- #

# set up context bar
set context_bar [ad_context_bar "Categories and category types"]

# the unique identifier for this package
set package_id [ad_conn package_id]
set user_id    [auth::require_login]

# permissions
permission::require_permission -party_id $user_id -object_id $package_id -privilege read

set write_p  [permission::permission_p -object_id $package_id -privilege write] 
set create_p [permission::permission_p -object_id $package_id -privilege create]
set admin_p  [permission::permission_p -object_id $package_id -privilege admin]

# root CR folder
set root_folder [db_string get_root "select rl_resource__get_root_folder (:package_id, 'f')"]

db_multirow types types_query {}
db_multirow category category_query {}

ad_return_template

# ------------------------- END OF FILE ------------------------- #
